<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowWarningDlg Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : ShowWarningDlg Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle for the dialog box

Obsolete. Superseded by IEdmBatchDelete2::ShowWarningDlg2 .

# Syntax

Visual Basic |
--- | ---

    Function ShowWarningDlg( _
       ByVal hParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowWarningDlg(
       System.int hParentWnd
    )

C++/CLI |
--- | ---

    System.bool ShowWarningDlg(
    &   System.int hParentWnd
    )

#### Parameters

hParentWnd
  Parent window handle for the dialog box

#### Return Value

True if the user chooses to continue the operation in spite of the warnings, false if the user cancels the operation

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NOT_INITIALIZED: IEdmBatchDelete::ComputePermissions has not been called.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008